kostia244's blog

By kostia244, history, 3 months ago, In English

TL;DR; You might want to go to ACL repo and get the latest version if you haven't done that in a while, same goes for any other algorithm library I guess.

Today I was solving a min cost flow problem and I decided to use atcoder library. It is very easy to use, you just add an include and run a script to expand it if you're submitting to sites that aren't atcoder. I got a WA.

After some debugging I concluded that it's a bug in atcoder library... Which they fixed 3 years ago! I downloaded my ACL on Sept. 20 of 2020 and never updated it.

I don't know if there's already a blog about this, I couldn't find one. But I even if there is I think another one won't hurt. Updating software is useless, who cares about security? But updating algorithm library is essential, because everybody cares about fake internet points.

  • Vote: I like it
  • +240
  • Vote: I do not like it

»
3 months ago, # |
  Vote: I like it -20 Vote: I do not like it

Yes, for example I don't reeeally care about security.